package com.swago.baseswago.model.live.pk

import android.os.Parcel
import android.os.Parcelable

data class PKLiverModel(

//    "id": 20000014, //用户ID
//    "user_name": "sw20000014", //用户昵称
//"user_sex": 0, //用户性别(0男1女)
//"user_head_img_url": "https://swago-1304432552.cos.ap-hongkong.myqcloud.com/head.png", //用户头像
//"user_fans_num": 0, //粉丝数量
//"user_level": 1 //主播等级
        var id :String ="0",
        var user_name:String = "",
        var user_sex:Int,
        var user_head_img_url:String = "",
        var user_fans_num:String="",
        var user_level:Int
):Parcelable {
        constructor(parcel: Parcel) : this(
                parcel.readString().toString(),
                parcel.readString().toString(),
                parcel.readInt(),
                parcel.readString().toString(),
                parcel.readString().toString(),
                parcel.readInt()
        ) {
        }

        override fun writeToParcel(parcel: Parcel, flags: Int) {
                parcel.writeString(id)
                parcel.writeString(user_name)
                parcel.writeInt(user_sex)
                parcel.writeString(user_head_img_url)
                parcel.writeString(user_fans_num)
                parcel.writeInt(user_level)
        }

        override fun describeContents(): Int {
                return 0
        }

        companion object CREATOR : Parcelable.Creator<PKLiverModel> {
                override fun createFromParcel(parcel: Parcel): PKLiverModel {
                        return PKLiverModel(parcel)
                }

                override fun newArray(size: Int): Array<PKLiverModel?> {
                        return arrayOfNulls(size)
                }
        }
}

data class ListPKLiverModel(
        val list:List<PKLiverModel>?
)